;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;This Block will set the On/Off flag when it is hit by a kicked/thrown sprite only.
;Set it to act like tile 130.
;						-Milk
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

JMP Return : JMP Return : JMP Return : JMP SpriteV : JMP SpriteH : JMP Return : JMP Return

SpriteV:
	JSR CheckKickedV
	BCS OnOff
	RTL

SpriteH:
	JSR CheckKickedH
	BCS OnOff
Return:
	RTL

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Switch
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

OnOff:
	LDA $14AF
	EOR #$01
	STA $14AF
	LDA #$0B         ;Switch ON sound
	STA $1DF9        ;I/O Port played
	RTL

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Kicked/Thrown Sprite Interation
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; This subroutine checks to see if a sprite was thrown at the block vertically.
; If the carry flag is set, the sprite was thrown with enough force.

CheckKickedV:
	LDA $AA,x
	BPL EndKickCheck1
	LDA $14C8,x
	CMP #$09
	BCC EndKickCheck1
	SEC
	RTS

EndKickCheck1:
	CLC
	RTS

; This subroutine checks to see if a sprite was thrown at the block horizontally.
; If the carry flag is set, the sprite was thrown with enough force.

CheckKickedH:
	LDA $14C8,x
	CMP #$09
	BEQ SpriteKickHCont
	CMP #$0A
	BEQ SpriteKickH1
	CLC
	RTS

SpriteKickHCont:
	LDA $B6,x
	BMI SpriteKickH0
	CMP #$08
	BCS SpriteKickH1
SpriteKickHReturn:
	CLC
	RTS

SpriteKickH0:
	CMP #$F8
	BCS SpriteKickHReturn
SpriteKickH1:
	SEC
	RTS